Subject: bug#7763: Remake rules botch up when 'foreign' and 'ignore-deps' are removed from AM_INIT_AUTOMAKE

From: Ralf Wildenhues <[email-masked]>
Date: Sun, 2 Jan 2011 06:50:13 +0100

Hello Stefano,

* Stefano Lattarini wrote on Thu, Dec 30, 2010 at 11:38:45PM CET:
> Currently, the Automake-generated rebuild rules[1] invoke automake with
> some command-line options derived from arguments given to AM_INIT_AUTOMAKE.
> 
> [1] For more info, see:
>     <http://www.gnu.org/software/automake/manual/html_node/Rebuilding.html>
> 
> For example, putting `foreign' in AM_INIT_AUTOMAKE generates remake rules
> that rebuild outdated Makefile.in files using "$(AUTOMAKE) --foreign";
> similarly, `no-dependencies' in AM_INIT_AUTOMAKE generates remake rules
> that rebuild outdated Makefile.in files using "$(AUTOMAKE) --ignore-deps".

I agree that this is a bug.

Question is, does removing the arguments break other, legitimate uses?
Or was this functionality purely added at a time before automake could
trace configure.ac macros?

The tests might suffer from the trace caching bug as well, haven't
checked.

Thanks,
Ralf